=== test/Makefile ===
all_tests:
	-../$(PROGRAM) -dv -b error error.y
	-../$(PROGRAM) -dv -b ftp -p ftp ftp.y
	-../$(PROGRAM) -P -dv -b calc calc.y
	-../$(PROGRAM) -P -dv -b getdate getdate.y
