=== debian/changelog ===
perl-byacc (2.0-8) unstable; urgency=medium

  * QA upload.
  * Don't force bzip2 compression.
  * Use debhelper 9.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 06 Jul 2016 05:05:03 +0200

perl-byacc (2.0-7) unstable; urgency=low

  * QA upload.
  * Debian source format is "3.0 (quilt)"
  * Fix package-uses-deprecated-debhelper-compat-version
  * Fix debhelper-compat-file-is-missing
  * Fix package-needs-versioned-debhelper-build-depends
  * Fix ancient-standards-version
  * Fix dh_installmanpages-is-obsolete
  * Fix debhelper-but-no-misc-depends
  * Fix debian-rules-uses-pwd
  * Fix debian-rules-missing-recommended-target
  * Fix description-synopsis-starts-with-article
  * Fix maintainer-script-ignores-errors

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 10 Apr 2012 12:52:02 +1000

perl-byacc (2.0-6) unstable; urgency=low

  * New maintainer (closes: #279811).

 -- Víctor Pérez Pereira <vperez@debianvenezuela.org>  Tue, 25 Oct 2005 19:05:44 -0400

perl-byacc (2.0-5) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/copyright: removed dh_make boilerplatedness
  * debian/rules: don't install zero byte file as an example

 -- Andrew Pollock <apollock@debian.org>  Thu,  3 Mar 2005 12:04:54 +1100

perl-byacc (2.0-4) unstable; urgency=low

  * Remove explicit removal of slave link from prerm script,
  Closes: #146193

 -- Stephen Zander <gibreel@debian.org>  Wed, 22 May 2002 23:02:59 -0700

perl-byacc (2.0-3) unstable; urgency=medium

  * New maintainer,
  Closes: #123176, #141854
  * Fixed manpage rendering,
  Closes: #132288

 -- Stephen Zander <gibreel@debian.org>  Tue,  9 Apr 2002 22:19:50 -0700

perl-byacc (2.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop ${perl:Depends} in build-dependencies, as substvars don't work
    there. The debhelper package already depends on what it needs for
    dh_perl (closes: #123176).

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Jan 2002 12:03:43 +0000

perl-byacc (2.0-2) unstable; urgency=low

  * FHS-compliant. Closes: #91025, #91602

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Mon,  9 Apr 2001 21:55:47 +0200

perl-byacc (2.0-1) unstable; urgency=low

  * Not a real upstream release, but application of the patch in
    CPAN/authors/id/JAKE/perl5-byacc-patches-xx, which is an important
    change: usage changed, read the documentation (README.Perl5). 
    Closes #40565

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Thu, 22 Jul 1999 09:52:31 +0200

perl-byacc (1.8.2-2) unstable; urgency=low

  * Complies with the new Perl policy.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed,  7 Jul 1999 14:37:00 +0200

perl-byacc (1.8.2-1) unstable; urgency=low

  * Initial Release.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed, 24 Mar 1999 11:38:21 +0100
