=== debian/control ===
Source: perl-byacc
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8

Package: perl-byacc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: perl
Description: Berkeley LALR parser generator, Perl version
 Yacc reads the grammar specification in a file
 and generates an LR(1) parser for it. The parsers consist
 of a set of LALR(1) parsing tables and a driver routine
 written in the C programming language.
 This version is able to produce Perl programs.
